%define upstream_name	 Unicode-Map
%define upstream_version 0.112

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 24

Summary:	Maps charsets from and to utf16 unicode
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Unicode/%{upstream_name}-%{upstream_version}.tar.bz2

Buildrequires:	perl-devel

%{?perl_default_filter}

%description
This module converts strings from and to 2-byte Unicode UCS2 format. All
mappings happen via 2 byte UTF16 encodings, not via 1 byte UTF8 encoding. To
transform these use Unicode::String.

For historical reasons this module coexists with Unicode::Map8. Please use
Unicode::Map8 unless you need to care for two byte character sets, e.g. chinese
GB2312. Anyway, if you stick to the basic functionality (see documentation) you
can use both modules equivalently.


Practically this module will disappear from earth sooner or later as Unicode
mapping support needs somehow to get into perl's core. If you like to work on
this field please don't hesitate contacting Gisle Aas!

This module can't deal directly with utf8. Use Unicode::String to convert utf8
to utf16 and vice versa.

Character mapping is according to the data of binary mapfiles in Unicode::Map
hierarchy. Binary mapfiles can also be created with this module, enabling you
to install own specific character sets. Refer to mkmapfile or file REGISTRY in
the Unicode::Map hierarchy

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files 
%doc README
%{perl_vendorarch}/Unicode
%{perl_vendorarch}/auto/Unicode
%{_mandir}/*/*
%{_bindir}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.112.0-24.mga6
+ Revision: 1035450
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.112.0-23.mga6
+ Revision: 958159
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.112.0-22.mga6
+ Revision: 845449
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.112.0-21.mga6
+ Revision: 841348
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.112.0-20.mga5
+ Revision: 747264
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.112.0-19.mga5
+ Revision: 732586
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.112.0-18.mga5
+ Revision: 686790
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.112.0-17.mga5
+ Revision: 631834
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.112.0-16.mga4
+ Revision: 525084
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.112.0-15.mga4
+ Revision: 431827
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.112.0-14.mga3
+ Revision: 374614
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.112.0-13.mga3
+ Revision: 251287
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.112.0-12.mga2
+ Revision: 105095
- Rebuild for perl 5.14

* Wed Jan 19 2011 jquelin <jquelin> 0.112.0-11.mga1
+ Revision: 24025
- no meta.yml :-(
- cleanup spec file
- imported package perl-Unicode-Map


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 0.112-11mdv2011.0
+ Revision: 564589
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.112-10mdv2011.0
+ Revision: 555206
- rebuild

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.112-9mdv2010.1
+ Revision: 426599
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.112-8mdv2009.0
+ Revision: 224583
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 0.112-7mdv2008.1
+ Revision: 151403
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Jan 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.112-6mdv2007.0
+ Revision: 107903
- rebuild
- Import perl-Unicode-Map

* Wed Nov 30 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.112-5mdk
- spec cleanup
- %%mkrel
- better url

* Mon Nov 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.112-4mdk 
- rebuild for new perl

* Sat Jul 24 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.112-3mdk 
- rpmbuildupdate aware

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.112-2mdk
- fixed dir ownership (distlint)

